## ros-iron-rviz-default-plugins 12.4.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rviz_default_plugins)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Wnon-virtual-dtor -Woverloaded-virtual)
endif()

# Tests currently only run on OS X @ OSRF jenkins
# Enable on Linux by providing a display, enable on Windows via EnableDisplayTests=True
option(EnableDisplayTests "EnableDisplayTests")
set(DisplayTests "False" CACHE STRING "DisplayTestsVariable")

if(DEFINED ENV{DISPLAY})
  set(DISPLAYPRESENT TRUE)
endif()

if(APPLE OR DISPLAYPRESENT OR EnableDisplayTests STREQUAL "True")
  message(STATUS "Enabling tests requiring a display")
else()
  set(SKIP_DISPLAY_TESTS "SKIP_TEST")
endif()

# options and directories for visual tests (see visual_testing_framework documentation)
option(EnableVisualTests "decides whether or not to enable the tests")

add_definitions(-D_BUILD_DIR_PATH="${CMAKE_CURRENT_BINARY_DIR}")
add_definitions(-D_SRC_DIR_PATH="${CMAKE_CURRENT_SOURCE_DIR}")

file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/test_images)
file(MAKE_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/test/reference_images)

# Run visual tests only if "EnableVisualTests=True"
if(EnableVisualTests STREQUAL "True")
  message(STATUS "Enabling visual tests")
else()
  set(SKIP_VISUAL_TESTS "SKIP_TEST")
endif()

if(MSVC)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /bigobj")
endif()

# We specifically don't turn on CMAKE_AUTOMOC, since it generates one huge
# mocs_compilation.cpp file that takes a lot of memory to compile.  Instead
# we create individual moc files that can be compiled separately.

find_package(ament_cmake_ros REQUIRED)

find_package(rviz_common REQUIRED)
find_package(rviz_rendering REQUIRED)
find_package(rviz_ogre_vendor REQUIRED)

find_package(Qt5 REQUIRED COMPONENTS Widgets Test)

find_package(geometry_msgs REQUIRED)

find_package(ignition-math6 REQUIRED)

find_package(image_transport REQUIRED)
find_package(interactive_markers REQUIRED)
find_package(laser_geometry REQUIRED)
find_package(map_msgs REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(resource_retriever REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(urdf REQUIRED)
find_package(visualization_msgs REQUIRED)

set(rviz_default_plugins_headers_to_moc
  include/rviz_default_plugins/displays/accel/accel_display.hpp
  include/rviz_default_plugins/displays/axes/axes_display.hpp
  include/rviz_default_plugins/displays/camera/camera_display.hpp
  include/rviz_default_plugins/displays/depth_cloud/depth_cloud_display.hpp
  include/rviz_default_plugins/displays/effort/effort_display.hpp
  include/rviz_default_plugins/displays/fluid_pressure/fluid_pressure_display.hpp
  include/rviz_default_plugins/displays/grid/grid_display.hpp
  include/rviz_default_plugins/displays/grid_cells/grid_cells_display.hpp
  include/rviz_default_plugins/displays/illuminance/illuminance_display.hpp
  include/rviz_default_plugins/displays/image/image_display.hpp
  include/rviz_default_plugins/displays/laser_scan/laser_scan_display.hpp
  include/rviz_default_plugins/displays/map/map_display.hpp
  include/rviz_default_plugins/displays/marker/marker_common.hpp
  include/rviz_default_plugins/displays/odometry/odometry_display.hpp
  include/rviz_default_plugins/transformation/transformer_guard.hpp
  include/rviz_default_plugins/displays/interactive_markers/integer_action.hpp
  include/rviz_default_plugins/displays/interactive_markers/interactive_marker.hpp
  include/rviz_default_plugins/displays/interactive_markers/interactive_marker_display.hpp
  include/rviz_default_plugins/displays/interactive_markers/interactive_marker_namespace_property.hpp
  include/rviz_default_plugins/displays/path/path_display.hpp
  include/rviz_default_plugins/displays/point/point_stamped_display.hpp
  include/rviz_default_plugins/displays/pointcloud/point_cloud_common.hpp
  include/rviz_default_plugins/displays/pointcloud/point_cloud_transformer.hpp
  include/rviz_default_plugins/displays/pointcloud/transformers/axis_color_pc_transformer.hpp
  include/rviz_default_plugins/displays/pointcloud/transformers/flat_color_pc_transformer.hpp
  include/rviz_default_plugins/displays/pointcloud/transformers/intensity_pc_transformer.hpp
  include/rviz_default_plugins/displays/polygon/polygon_display.hpp
  include/rviz_default_plugins/displays/pose/pose_display.hpp
  include/rviz_default_plugins/displays/pose_array/pose_array_display.hpp
  include/rviz_default_plugins/displays/pose_covariance/pose_with_covariance_display.hpp
  include/rviz_default_plugins/displays/range/range_display.hpp
  include/rviz_default_plugins/displays/relative_humidity/relative_humidity_display.hpp
  include/rviz_default_plugins/displays/robot_model/robot_model_display.hpp
  include/rviz_default_plugins/displays/temperature/temperature_display.hpp
  include/rviz_default_plugins/displays/tf/frame_info.hpp
  include/rviz_default_plugins/displays/tf/tf_display.hpp
  include/rviz_default_plugins/displays/twist/twist_display.hpp
  include/rviz_default_plugins/displays/wrench/wrench_display.hpp
  include/rviz_default_plugins/robot/robot.hpp
  include/rviz_default_plugins/robot/robot_joint.hpp
  include/rviz_default_plugins/robot/robot_link.hpp
  include/rviz_default_plugins/robot/robot_element_base_class.hpp
  include/rviz_default_plugins/tools/measure/measure_tool.hpp
  include/rviz_default_plugins/tools/goal_pose/goal_tool.hpp
  include/rviz_default_plugins/tools/interaction/interaction_tool.hpp
  include/rviz_default_plugins/tools/pose_estimate/initial_pose_tool.hpp
  include/rviz_default_plugins/tools/point/point_tool.hpp
  include/rviz_default_plugins/view_controllers/orbit/orbit_view_controller.hpp
  include/rviz_default_plugins/view_controllers/ortho/fixed_orientation_ortho_view_controller.hpp
  include/rviz_default_plugins/view_controllers/xy_orbit/xy_orbit_view_controller.hpp
)

foreach(header "${rviz_default_plugins_headers_to_moc}")
  qt5_wrap_cpp(rviz_default_plugins_moc_files "${header}")
endforeach()

set(rviz_default_plugins_source_files
  src/rviz_default_plugins/displays/accel/accel_display.cpp
  src/rviz_default_plugins/displays/axes/axes_display.cpp
  src/rviz_default_plugins/displays/camera/camera_display.cpp
  src/rviz_default_plugins/displays/depth_cloud/depth_cloud_display.cpp
  src/rviz_default_plugins/displays/effort/effort_display.cpp
  src/rviz_default_plugins/displays/grid/grid_display.cpp
  src/rviz_default_plugins/displays/grid_cells/grid_cells_display.cpp
  src/rviz_default_plugins/displays/fluid_pressure/fluid_pressure_display.cpp
  src/rviz_default_plugins/displays/illuminance/illuminance_display.cpp
  src/rviz_default_plugins/displays/image/get_transport_from_topic.cpp
  src/rviz_default_plugins/displays/image/image_display.cpp
  src/rviz_default_plugins/displays/image/ros_image_texture.cpp
  src/rviz_default_plugins/displays/interactive_markers/integer_action.cpp
  src/rviz_default_plugins/displays/interactive_markers/interactive_marker_control.cpp
  src/rviz_default_plugins/displays/interactive_markers/interactive_marker.cpp
  src/rviz_default_plugins/displays/interactive_markers/interactive_marker_display.cpp
  src/rviz_default_plugins/displays/interactive_markers/interactive_marker_namespace_property.cpp
  src/rviz_default_plugins/displays/laser_scan/laser_scan_display.cpp
  src/rviz_default_plugins/displays/map/map_display.cpp
  src/rviz_default_plugins/displays/map/palette_builder.cpp
  src/rviz_default_plugins/displays/map/swatch.cpp
  src/rviz_default_plugins/displays/marker/markers/arrow_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/line_list_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/line_marker_base.cpp
  src/rviz_default_plugins/displays/marker/markers/line_strip_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/marker_base.cpp
  src/rviz_default_plugins/displays/marker/markers/marker_selection_handler.cpp
  src/rviz_default_plugins/displays/marker/markers/mesh_resource_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/text_view_facing_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/points_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/shape_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/triangle_list_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/marker_factory.cpp
  src/rviz_default_plugins/displays/marker/marker_common.cpp
  src/rviz_default_plugins/displays/marker/marker_display.cpp
  src/rviz_default_plugins/displays/marker_array/marker_array_display.cpp
  src/rviz_default_plugins/displays/odometry/odometry_display.cpp
  src/rviz_default_plugins/displays/path/path_display.cpp
  src/rviz_default_plugins/displays/point/point_stamped_display.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/axis_color_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/flat_color_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/intensity_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/rgb8_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/rgbf32_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/xyz_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_common.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_to_point_cloud2.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_transformer_factory.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_selection_handler.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_display.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud2_display.cpp
  src/rviz_default_plugins/displays/polygon/polygon_display.cpp
  src/rviz_default_plugins/displays/pose/pose_display.cpp
  src/rviz_default_plugins/displays/pose/pose_display_selection_handler.cpp
  src/rviz_default_plugins/displays/pose_array/pose_array_display.cpp
  src/rviz_default_plugins/displays/pose_array/flat_arrows_array.cpp
  src/rviz_default_plugins/displays/pose_covariance/pose_with_covariance_display.cpp
  src/rviz_default_plugins/displays/pose_covariance/pose_with_cov_selection_handler.cpp
  src/rviz_default_plugins/displays/range/range_display.cpp
  src/rviz_default_plugins/displays/relative_humidity/relative_humidity_display.cpp
  src/rviz_default_plugins/displays/robot_model/robot_model_display.cpp
  src/rviz_default_plugins/displays/screw/screw_display.cpp
  src/rviz_default_plugins/displays/temperature/temperature_display.cpp
  src/rviz_default_plugins/displays/tf/frame_info.cpp
  src/rviz_default_plugins/displays/tf/frame_selection_handler.cpp
  src/rviz_default_plugins/displays/tf/tf_display.cpp
  src/rviz_default_plugins/displays/wrench/wrench_display.cpp
  src/rviz_default_plugins/displays/twist/twist_display.cpp
  src/rviz_default_plugins/robot/robot.cpp
  src/rviz_default_plugins/robot/robot_joint.cpp
  src/rviz_default_plugins/robot/robot_link.cpp
  src/rviz_default_plugins/robot/robot_element_base_class.cpp
  src/rviz_default_plugins/robot/tf_link_updater.cpp
  src/rviz_default_plugins/tools/interaction/interaction_tool.cpp
  src/rviz_default_plugins/tools/measure/measure_tool.cpp
  src/rviz_default_plugins/tools/focus/focus_tool.cpp
  src/rviz_default_plugins/tools/move/move_tool.cpp
  src/rviz_default_plugins/tools/goal_pose/goal_tool.cpp
  src/rviz_default_plugins/tools/pose/pose_tool.cpp
  src/rviz_default_plugins/tools/pose_estimate/initial_pose_tool.cpp
  src/rviz_default_plugins/tools/point/point_tool.cpp
  src/rviz_default_plugins/tools/select/selection_tool.cpp

=== debian/changelog ===
ros-iron-rviz-default-plugins (12.4.4-1jammy) jammy; urgency=high

  * Fixed AccelStamped, TwistStamped and Wrench icons (#1047 <https://github.com/ros2/rviz/issues/1047>)
  * Fix the flakey rviz_rendering tests (#1031 <https://github.com/ros2/rviz/issues/1031>)
  * Don't pass screw_display.hpp to the moc generator (#1020 <https://github.com/ros2/rviz/issues/1020>)
  * Added DepthCloud default plugin (#996 <https://github.com/ros2/rviz/issues/996>)
  * Added TwistStamped and AccelStamped default plugins (#1015 <https://github.com/ros2/rviz/issues/1015>)
  * Improve the compilation time of rviz_default_plugins (#1009 <https://github.com/ros2/rviz/issues/1009>)
  * Added Effort plugin (#1011 <https://github.com/ros2/rviz/issues/1011>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Sep 2023 16:00:00 -0000

ros-iron-rviz-default-plugins (12.4.3-1jammy) jammy; urgency=high

  * Fixed AccelStamped, TwistStamped and Wrench icons (#1041 <https://github.com/ros2/rviz/issues/1041>) (#1047 <https://github.com/ros2/rviz/issues/1047>)
  * Fix the flakey rviz_rendering tests (#1026 <https://github.com/ros2/rviz/issues/1026>) (#1031 <https://github.com/ros2/rviz/issues/1031>)
  * Contributors: mergify[bot]

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 20 Aug 2023 16:00:00 -0000

ros-iron-rviz-default-plugins (12.4.2-1jammy) jammy; urgency=high

  * Don't pass screw_display.hpp to the moc generator. (#1018 <https://github.com/ros2/rviz/issues/1018>)
    Since it isn't a Qt class, you get a warning from moc:
    Note: No relevant classes found. No output generated.
    Just skip adding it to the moc list here, which gets rid
    of the warning.
    (cherry picked from commit 071adba7fca13da7f6ba77c26e2d9cf989308ca2)
  * Added DepthCloud default plugin (#996 <https://github.com/ros2/rviz/issues/996>)
    (cherry picked from commit 8f2e17e441399974ebd465a2d2ef0a3529f57f23)
  * Added TwistStamped and AccelStamped default plugins (#991 <https://github.com/ros2/rviz/issues/991>) (#1015 <https://github.com/ros2/rviz/issues/1015>)
    (cherry picked from commit 9599dd488d543671121c40df9aec5533064e86fb)
    Co-authored-by: Alejandro Hernández Cordero <mailto:alejandro@openrobotics.org>
  * Improve the compilation time of rviz_default_plugins (#1007 <https://github.com/ros2/rviz/issues/1007>) (#1009 <https://github.com/ros2/rviz/issues/1009>)
    * Cleanup rviz_visual_testing_framework CMakeLists.txt
    The main motivation here is to remove an exported absolute
    path from this package.  To do this, mark everything in
    the CMakeLists.txt private that we can.
    This ended up exposing a bunch of missing dependencies
    in rviz_default_plugins, so fix those here as well.
    (cherry picked from commit 5af8896a30311e4b8171864391d3bc2d8b81b611)
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
  * Added Effort plugin (#990 <https://github.com/ros2/rviz/issues/990>) (#1011 <https://github.com/ros2/rviz/issues/1011>)
    * Added Effort plugin
    (cherry picked from commit e3b56ed7058502d94fe3d1c27948d4f4e9be58a8)
    Co-authored-by: Alejandro Hernández Cordero <mailto:alejandro@openrobotics.org>
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 Jul 2023 16:00:00 -0000

ros-iron-rviz-default-plugins (12.4.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jul 2023 16:00:00 -0000

ros-iron-rviz-default-plugins (12.4.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 17 Apr 2023 16:00:00 -0000

ros-iron-rviz-default-plugins (12.3.2-1jammy) jammy; urgency=high

  * Fix ODR errors with gmock (#967 <https://github.com/ros2/rviz/issues/967>)
  * Update Frame shortcut (#958 <https://github.com/ros2/rviz/issues/958>)
  * Contributors: David V. Lu!!, methylDragon

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-rviz-default-plugins (12.3.1-1jammy) jammy; urgency=high

  * point_marker: fix bug where the number of rendered points accumulates over time (#949 <https://github.com/ros2/rviz/issues/949>)
  * Contributors: AndreasR30

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 28 Feb 2023 16:00:00 -0000

ros-iron-rviz-default-plugins (12.3.0-1jammy) jammy; urgency=high

  * Update rviz to C++17. (#939 <https://github.com/ros2/rviz/issues/939>)
  * Fix tolerance calculation precision (#934 <https://github.com/ros2/rviz/issues/934>)
  * Fix MeshResourceMarker for mesh with color-based embedded material (#928 <https://github.com/ros2/rviz/issues/928>)
  * [rolling] Update maintainers - 2022-11-07 (#923 <https://github.com/ros2/rviz/issues/923>)
  * Contributors: Audrow Nash, Chris Lalancette, Xavier BROQUERE, Xenofon Karamanos

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-rviz-default-plugins (12.2.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 06 Nov 2022 16:00:00 -0000

ros-iron-rviz-default-plugins (12.1.0-1jammy) jammy; urgency=high

  * Add Map Display binary option (#846 <https://github.com/ros2/rviz/issues/846>)
  * Delete frame_locked_markers when reusing marker (#907 <https://github.com/ros2/rviz/issues/907>)
  * Consider region of interest in CameraDisplay (#864 <https://github.com/ros2/rviz/issues/864>)
  * std::copy fix - OccupancyGridUpdate - Data is not being processed correctly (#895 <https://github.com/ros2/rviz/issues/895>)
  * Contributors: AndreasR30, Eric, Patrick Roncagliolo, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-rviz-default-plugins (12.0.0-1jammy) jammy; urgency=high



=== debian/control ===
Source: ros-iron-rviz-default-plugins
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-iron-ament-cmake-cppcheck <!nocheck>, ros-iron-ament-cmake-cpplint <!nocheck>, ros-iron-ament-cmake-gmock <!nocheck>, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-cmake-lint-cmake <!nocheck>, ros-iron-ament-cmake-ros, ros-iron-ament-cmake-uncrustify <!nocheck>, ros-iron-ament-cmake-xmllint <!nocheck>, ros-iron-ament-index-cpp <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-geometry-msgs, ros-iron-ignition-math6-vendor, ros-iron-image-transport, ros-iron-interactive-markers, ros-iron-laser-geometry, ros-iron-map-msgs, ros-iron-nav-msgs, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-resource-retriever, ros-iron-rviz-common, ros-iron-rviz-ogre-vendor, ros-iron-rviz-rendering, ros-iron-rviz-rendering-tests <!nocheck>, ros-iron-rviz-visual-testing-framework <!nocheck>, ros-iron-tf2, ros-iron-tf2-geometry-msgs, ros-iron-tf2-ros, ros-iron-urdf, ros-iron-visualization-msgs, ros-iron-ros-workspace
Homepage: https://github.com/ros2/rviz/blob/ros2/README.md
Standards-Version: 3.9.2

Package: ros-iron-rviz-default-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5opengl5, libqt5widgets5, ros-iron-geometry-msgs, ros-iron-ignition-math6-vendor, ros-iron-image-transport, ros-iron-interactive-markers, ros-iron-laser-geometry, ros-iron-map-msgs, ros-iron-nav-msgs, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-resource-retriever, ros-iron-rviz-common, ros-iron-rviz-ogre-vendor, ros-iron-rviz-rendering, ros-iron-tf2, ros-iron-tf2-geometry-msgs, ros-iron-tf2-ros, ros-iron-urdf, ros-iron-visualization-msgs, ros-iron-ros-workspace
Description: Several default plugins for rviz to cover the basic functionality.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-rviz-default-plugins//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
